Bug 17660 - univention-lpadmin Fehlende Fehlermeldungen
univention-lpadmin Fehlende Fehlermeldungen
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Printserver
UCS 2.3
Other Linux
: P5 normal with 4 votes (vote)
: UCS 3.2
Assigned To: Liam Schwez
Felix Botner
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-15 14:23 CET by Janek Walkenhorst
Modified: 2013-11-19 06:43 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Troubleshooting
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janek Walkenhorst univentionstaff 2010-02-15 14:23:08 CET
univention-lpadmin gibt im Moment nur den exit-code von lpadmin aus, wenn ein Fehler auftritt.
Besser wäre es, wenn zusätzlich die Ausgaben von lpadmin mit ausgegeben werden.
Comment 1 Janis Meybohm univentionstaff 2011-10-26 15:50:41 CEST
Wieder aufgefallen, das wäre wirklich hilfreich!
Comment 2 Janis Meybohm univentionstaff 2011-11-07 15:38:50 CET
Erneut aufgefallen an: 2011110721002101
Comment 3 Tobias Scherer univentionstaff 2012-09-11 13:47:30 CEST
erneut aufgefallen an Ticket#: 2012091121001151 , das wäre wirklich hilfreich!
Comment 4 Moritz Muehlenhoff univentionstaff 2013-05-31 10:46:39 CEST
We will not ship a UCS 3.1-2 release; the next UCS release will be UCS 3.2.

As such, this bug is moved to the new target milestone.
Comment 5 Liam Schwez univentionstaff 2013-06-25 10:57:53 CEST
Modified 'univention-lpadmin' in package 'univention-printserver'. Enabled lpadmin output.

- Lpadmin enabled mostly with attribute "child.before".
- Modified the sourcecode for several classes. Feasible use with several "-c" parameters.

- imported into buildsystem (6.0.25-5)
- built package in buildsystem
- made entry in 'changelog-3.1-2.tex' in section 'printing services'
Comment 6 Felix Botner univentionstaff 2013-07-31 16:50:39 CEST
UCS 3.1-1

-> univention-lpadmin -dsadsa
The command "/usr/sbin/lpadmin -dsadsa -h localhost" returned 1

UCS 3.2

-> univention-lpadmin sadsa
lpadmin: unbekanntes Argument „sadsa“!
The command "/usr/sbin/lpadmin sadsa -h localhost" returned 1

-> /etc/init.d/cups stop

added printer2 via UMC

/var/log/univention/listener.log:
31.07.13 16:31:38.732  LISTENER    ( WARN    ) : cups-printers: info: univention-lpadmin -u allow:all -o auth-info-required=none -p printer2 -m foomatic-rip/Alps-MD-1000-md2k.ppd -v file:/tmp/printer2 -E
lpadmin: Unable to connect to server: Connection refused
The command "/usr/sbin/lpadmin -u allow:all -o auth-info-required=none -p printer2 -m foomatic-rip/Alps-MD-1000-md2k.ppd -v file:/tmp/printer2 -E -h localhost" returned 1
31.07.13 16:31:38.906  LISTENER    ( ERROR   ) : cups-printers: Failed to execute the univention-lpadmin command. Please check the cups state.

creating/modifying/deleting of printers/classes (groups) still works (also printing to this devices)

Changelog entry exists
Comment 7 Stefan Gohmann univentionstaff 2013-11-19 06:43:49 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".